Create Event Type: MRI
POST
https://api.propexo.com/v1/event-types/mri/| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_InsertActionCode |
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
action_codestringrequired
The action code that you want to create
Possible values: non-empty and <= 2 characters
descriptionstring
Description of the event type
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
action_codestringrequired
The action code that you want to create
Possible values: non-empty and <= 2 characters
descriptionstring | nullnullablerequired
Description of the event type
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/event-types/mri/
- cURL
- Node.js
- Python
curl -X POST https://api.propexo.com/v1/event-types/mri/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"action_code": "string"
}'
const response = await fetch("https://api.propexo.com/v1/event-types/mri/", {
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"integration_id": "string",
"action_code": "string"
}),
});
const data = await response.json();
import requests
response = requests.post(
"https://api.propexo.com/v1/event-types/mri/",
headers={"Authorization": "Bearer <token>"},
json={
"integration_id": "string",
"action_code": "string"
},
)
data = response.json()
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"action_code": "string",
"description": "string"
}
}